> ## Documentation Index
> Fetch the complete documentation index at: https://voucherify-pz-test.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Succeeded

> post https://example.com/EVENTS.REDEMPTION.SUCCEEDED

# EVENT: "EVENTS.REDEMPTION.SUCCEEDED"HTTP method: POST

The `EVENTS.REDEMPTION.SUCCEEDED` event indicates that the redemption process was successful. It confirms that the associated voucher codes and promotional tiers have been effectively applied.

This event is used in a webhook configured in Project settings in Voucherify dashboard.

<Info>
  This page documents only the event. If you need more details about the webhook payload data that includes this event, go to [Webhook v2024-01-01](/reference/introduction-to-webhooks "Introduction to webhooks v2024-01-01") page.
</Info>

#### Example: redemption.succeeded

<CodeGroup>
  ```json json
  {
    "customer": {
      "id": "cust_1g637SqVZnkdPNdAIZ7Ra879",
      "name": "Jane Doe",
      "email": "[email protected]",
      "source_id": "test_customer_id_2",
      "metadata": {
        "lang": "en",
        "test": true,
        "region": "EMEA"
      },
      "object": "customer"
    },
    "order": {
      "id": "ord_3VYCHwdV0YOOch2nm1RsTKNI",
      "source_id": null,
      "status": "PAID",
      "customer_id": "cust_1g637SqVZnkdPNdAIZ7Ra879",
      "referrer_id": null,
      "amount": 7000,
      "items_discount_amount": 1000,
      "items_applied_discount_amount": 1000,
      "total_discount_amount": 1000,
      "total_applied_discount_amount": 1000,
      "total_amount": 6000,
      "items": [
        {
          "object": "order_item",
          "source_id": "adv-mug",
          "related_object": "product",
          "quantity": 2,
          "discount_quantity": 1,
          "amount": 2000,
          "discount_amount": 1000,
          "applied_discount_amount": 1000,
          "price": 1000,
          "subtotal_amount": 1000
        },
        {
          "object": "order_item",
          "source_id": "star-th-bottle",
          "related_object": "product",
          "quantity": 2,
          "amount": 5000,
          "price": 2500,
          "subtotal_amount": 5000
        }
      ],
      "metadata": {},
      "created_at": "2024-01-15T12:20:38.596843Z",
      "object": "order"
    },
    "campaign": {
      "id": "camp_kwMyXFKquedx8FzXNpVPN7QU",
      "name": "Always add missing products",
      "campaign_type": "DISCOUNT_COUPONS",
      "type": "AUTO_UPDATE",
      "is_referral_code": false,
      "voucher": {
        "type": "DISCOUNT_VOUCHER",
        "discount": {
          "type": "UNIT",
          "units": null,
          "effect": "ADD_NEW_ITEMS",
          "unit_off": 1,
          "unit_type": "prod_0df14b3a6ad8f282a8"
        },
        "redemption": {
          "quantity": null,
          "redeemed_quantity": 0
        },
        "code_config": {
          "length": 1,
          "prefix": "Always-add-prods-",
          "charset": "0123456789",
          "pattern": "#",
          "postfix": ""
        }
      },
      "auto_join": false,
      "join_once": false,
      "active": true,
      "category_id": null,
      "created_at": "2023-12-08T13:54:29.003375Z",
      "updated_at": "2023-12-15T11:07:05.173502Z",
      "object": "campaign"
    },
    "voucher": {
      "id": "v_VZgTRbJvauZR7Ub7exOtAg0MqxXljPpA",
      "code": "Always-add-prods-5",
      "discount": {
        "type": "UNIT",
        "unit_off": 1,
        "unit_type": "prod_0df14b3a6ad8f282a8",
        "effect": "ADD_NEW_ITEMS"
      },
      "type": "DISCOUNT_VOUCHER",
      "campaign": "Always add missing products",
      "campaign_id": "camp_kwMyXFKquedx8FzXNpVPN7QU",
      "is_referral_code": false,
      "category_id": null,
      "active": true,
      "created_at": "2023-12-08T14:01:18.213000Z",
      "updated_at": "2024-01-15T12:20:38.624905Z",
      "object": "voucher"
    },
    "holder": null,
    "promotion_tier": null,
    "redemption": {
      "id": "r_0e2500291ae016adea",
      "customer_id": "cust_1g637SqVZnkdPNdAIZ7Ra879",
      "tracking_id": "track_Pw6r3ejnml43kIwNS4Zj09KZ67xOfLUy",
      "date": "2024-01-15T12:20:38.635000Z",
      "order": {
        "id": "ord_3VYCHwdV0YOOch2nm1RsTKNI",
        "source_id": null,
        "status": "PAID",
        "customer_id": "cust_1g637SqVZnkdPNdAIZ7Ra879",
        "referrer_id": null,
        "amount": 7000,
        "items_discount_amount": 1000,
        "items_applied_discount_amount": 1000,
        "total_discount_amount": 1000,
        "total_applied_discount_amount": 1000,
        "total_amount": 6000,
        "items": [
          {
            "object": "order_item",
            "source_id": "adv-mug",
            "related_object": "product",
            "quantity": 2,
            "discount_quantity": 1,
            "amount": 2000,
            "discount_amount": 1000,
            "applied_discount_amount": 1000,
            "price": 1000,
            "subtotal_amount": 1000
          },
          {
            "object": "order_item",
            "source_id": "star-th-bottle",
            "related_object": "product",
            "quantity": 2,
            "amount": 5000,
            "price": 2500,
            "subtotal_amount": 5000
          }
        ],
        "metadata": {},
        "created_at": "2024-01-15T12:20:38.596843Z",
        "object": "order"
      },
      "customer": {
        "id": "cust_1g637SqVZnkdPNdAIZ7Ra879",
        "name": "Jane Doe",
        "email": "[email protected]",
        "source_id": "test_customer_id_2",
        "metadata": {
          "lang": "en",
          "test": true,
          "region": "EMEA"
        },
        "object": "customer"
      },
      "result": "SUCCESS",
      "status": "SUCCEEDED",
      "voucher": {
        "id": "v_VZgTRbJvauZR7Ub7exOtAg0MqxXljPpA",
        "code": "Always-add-prods-5",
        "discount": {
          "type": "UNIT",
          "unit_off": 1,
          "unit_type": "prod_0df14b3a6ad8f282a8",
          "effect": "ADD_NEW_ITEMS"
        },
        "type": "DISCOUNT_VOUCHER",
        "campaign": "Always add missing products",
        "campaign_id": "camp_kwMyXFKquedx8FzXNpVPN7QU",
        "is_referral_code": false,
        "category_id": null,
        "active": true,
        "created_at": "2023-12-08T14:01:18.213000Z",
        "updated_at": "2024-01-15T12:20:38.624905Z",
        "object": "voucher"
      },
      "metadata": {},
      "object": "redemption"
    },
    "created_at": "2024-01-15T12:20:38.636Z"
  }
  ```
</CodeGroup>
